Index: /trunk/NEMOGCM/ARCH/CMCC/arch-PW6_calypso.fcm
===================================================================
--- /trunk/NEMOGCM/ARCH/CMCC/arch-PW6_calypso.fcm	(revision 4864)
+++ /trunk/NEMOGCM/ARCH/CMCC/arch-PW6_calypso.fcm	(revision 4865)
@@ -17,4 +17,5 @@
 %NCDF_INC            -I/usr/local/netcdf-3.6.3/include
 %NCDF_LIB            -L/usr/local/netcdf-3.6.3/lib -lnetcdf
+%CPP                 cpp
 %FC                  mpxlf90_r
 %FCFLAGS             -O3 -qsuffix=f=f90  -qstrict -qalias=intptr -qsuppress=1501-245 -qarch=pwr6 -q64 -qrealsize=8 -qtune=pwr6 -qextname -qlargepage -qmaxmem=-1
Index: /trunk/NEMOGCM/ARCH/CMCC/arch-PW6_calypso_debug.fcm
===================================================================
--- /trunk/NEMOGCM/ARCH/CMCC/arch-PW6_calypso_debug.fcm	(revision 4864)
+++ /trunk/NEMOGCM/ARCH/CMCC/arch-PW6_calypso_debug.fcm	(revision 4865)
@@ -17,4 +17,5 @@
 %NCDF_INC            -I/usr/local/netcdf-3.6.3/include
 %NCDF_LIB            -L/usr/local/netcdf-3.6.3/lib -lnetcdf
+%CPP                 cpp
 %FC                  mpxlf90_r
 %FCFLAGS             -g -qsuffix=f=f90  -qstrict -qalias=intptr -qsuppress=1501-245 -qarch=pwr6 -q64 -qrealsize=8 -qtune=pwr6 -qextname -qlargepage -qmaxmem=-1
Index: /trunk/NEMOGCM/ARCH/CMCC/arch-PW6_calypso_tools.fcm
===================================================================
--- /trunk/NEMOGCM/ARCH/CMCC/arch-PW6_calypso_tools.fcm	(revision 4864)
+++ /trunk/NEMOGCM/ARCH/CMCC/arch-PW6_calypso_tools.fcm	(revision 4865)
@@ -17,4 +17,5 @@
 %NCDF_INC            -I/usr/local/netcdf-3.6.3/include
 %NCDF_LIB            -L/usr/local/netcdf-3.6.3/lib -lnetcdf
+%CPP                 cpp
 %FC                  xlf90
 %FCFLAGS             -O3 -qsuffix=f=f90  -qstrict -qsuppress=1501-245 -qarch=pwr6 -q64 -qrealsize=8 -qtune=pwr6 -qextname -qlargepage -qmaxmem=-1
Index: /trunk/NEMOGCM/ARCH/CMCC/arch-gfortran_athena_xios.fcm
===================================================================
--- /trunk/NEMOGCM/ARCH/CMCC/arch-gfortran_athena_xios.fcm	(revision 4864)
+++ /trunk/NEMOGCM/ARCH/CMCC/arch-gfortran_athena_xios.fcm	(revision 4865)
@@ -44,4 +44,5 @@
 %XIOS_LIB            -L%XIOS_HOME/lib -lxios
 
+%CPP                 cpp
 %FC                  mpif90
 %FCFLAGS             -fdefault-real-8 -fno-second-underscore -Dgfortran -ffree-line-length-none
Index: /trunk/NEMOGCM/ARCH/CMCC/arch-ifort_athena.fcm
===================================================================
--- /trunk/NEMOGCM/ARCH/CMCC/arch-ifort_athena.fcm	(revision 4864)
+++ /trunk/NEMOGCM/ARCH/CMCC/arch-ifort_athena.fcm	(revision 4865)
@@ -17,4 +17,5 @@
 %NCDF_INC -I$NETCDF/include
 %NCDF_LIB -L$NETCDF/lib -lnetcdf -lnetcdff
+%CPP                 cpp
 %FC mpiifort
 %FCFLAGS -r8 -O3 -xHost -fp-model source -traceback
Index: /trunk/NEMOGCM/ARCH/CMCC/arch-ifort_athena_debug.fcm
===================================================================
--- /trunk/NEMOGCM/ARCH/CMCC/arch-ifort_athena_debug.fcm	(revision 4864)
+++ /trunk/NEMOGCM/ARCH/CMCC/arch-ifort_athena_debug.fcm	(revision 4865)
@@ -17,4 +17,5 @@
 %NCDF_INC -I$NETCDF/include
 %NCDF_LIB -L$NETCDF/lib -lnetcdf -lnetcdff
+%CPP                 cpp
 %FC mpiifort
 %FCFLAGS -fpe0 -g -r8 -O1 -xHost -fp-model source -traceback
Index: /trunk/NEMOGCM/ARCH/CMCC/arch-ifort_athena_tools.fcm
===================================================================
--- /trunk/NEMOGCM/ARCH/CMCC/arch-ifort_athena_tools.fcm	(revision 4864)
+++ /trunk/NEMOGCM/ARCH/CMCC/arch-ifort_athena_tools.fcm	(revision 4865)
@@ -17,4 +17,5 @@
 %NCDF_INC -I$NETCDF/include
 %NCDF_LIB -L$NETCDF/lib -lnetcdf -lnetcdff
+%CPP                 cpp
 %FC ifort
 %FCFLAGS -r8 -O3 -xHost -fp-model source -traceback
Index: /trunk/NEMOGCM/ARCH/CMCC/arch-ifort_athena_xios.fcm
===================================================================
--- /trunk/NEMOGCM/ARCH/CMCC/arch-ifort_athena_xios.fcm	(revision 4864)
+++ /trunk/NEMOGCM/ARCH/CMCC/arch-ifort_athena_xios.fcm	(revision 4865)
@@ -41,4 +41,5 @@
 %XIOS_INC            -I/users/home/ans040/SOFTWARE/XIOS_athena/trunk/inc
 %XIOS_LIB            -L/users/home/ans040/SOFTWARE/XIOS_athena/trunk/lib -lxios
+%CPP                 cpp
 %FC                  mpiifort
 %FCFLAGS 	     -g -r8 -O3 -xHost -fp-model source -traceback
Index: /trunk/NEMOGCM/ARCH/INGV/arch-IBM_EKMAN_INGV.fcm
===================================================================
--- /trunk/NEMOGCM/ARCH/INGV/arch-IBM_EKMAN_INGV.fcm	(revision 4864)
+++ /trunk/NEMOGCM/ARCH/INGV/arch-IBM_EKMAN_INGV.fcm	(revision 4865)
@@ -20,4 +20,5 @@
 %XIOS_ROOT           /home/delrosso/XIOS_447/trunk
 %MPI_INTEL           -I/srv/intel/impi/4.1.0.024/include
+%CPP                 cpp
 %FC                  mpiifort
 %FCFLAGS             -r8 -O3 -g -traceback 
Index: /trunk/NEMOGCM/ARCH/arch-ALTIX_NAUTILUS_MPT.fcm
===================================================================
--- /trunk/NEMOGCM/ARCH/arch-ALTIX_NAUTILUS_MPT.fcm	(revision 4864)
+++ /trunk/NEMOGCM/ARCH/arch-ALTIX_NAUTILUS_MPT.fcm	(revision 4865)
@@ -42,4 +42,5 @@
 %OASIS_LIB           -L%OASIS_HOME/lib -lpsmile.MPI1 -lmct -lmpeu -lscrip
 
+%CPP	             cpp
 %FC                  ifort
 %FCFLAGS             -r8 -O3 -fp-model precise -xT -ip -vec-report0
Index: /trunk/NEMOGCM/ARCH/arch-PW7_C2A_XIO.fcm
===================================================================
--- /trunk/NEMOGCM/ARCH/arch-PW7_C2A_XIO.fcm	(revision 4864)
+++ /trunk/NEMOGCM/ARCH/arch-PW7_C2A_XIO.fcm	(revision 4865)
@@ -35,4 +35,6 @@
 
 %XLF90_LIB           -lxlf90_r
+
+%CPP	             cpp
 %FC                  mpxlf90_r
 %FCFLAGS             -qsuffix=f=f90 -qsuffix=cpp=F90 -qfree=f90 -O3 -qrealsize=8 -qarch=auto -qtune=auto -qinitauto
Index: /trunk/NEMOGCM/ARCH/arch-PW7_METO.fcm
===================================================================
--- /trunk/NEMOGCM/ARCH/arch-PW7_METO.fcm	(revision 4864)
+++ /trunk/NEMOGCM/ARCH/arch-PW7_METO.fcm	(revision 4865)
@@ -21,4 +21,5 @@
 %XIOS_INC            -I/data/nwp/ofrd/share/NEMO/xios_lib/seq/xios_r451/inc
 %XIOS_LIB            -L/data/nwp/ofrd/share/NEMO/xios_lib/seq/xios_r451/lib -lxios
+%CPP	             cpp
 %FC                  mpxlf90_r
 %FCFLAGS             -qrealsize=8 -qextname -qsuffix=f=f90 -qarch=pwr7 -qtune=pwr7 -g -O2 -qstrict -qinitauto=7FBFFFFF
Index: /trunk/NEMOGCM/ARCH/arch-X64_CURIE.fcm
===================================================================
--- /trunk/NEMOGCM/ARCH/arch-X64_CURIE.fcm	(revision 4864)
+++ /trunk/NEMOGCM/ARCH/arch-X64_CURIE.fcm	(revision 4865)
@@ -41,4 +41,5 @@
 %OASIS_LIB           -L%OASIS_HOME/lib -lpsmile.MPI1 -lmct -lmpeu -lscrip
 
+%CPP	             cpp
 %FC                  mpif90 -c -cpp
 # for Curie Fat Node
Index: /trunk/NEMOGCM/ARCH/arch-X64_MOBILIS.fcm
===================================================================
--- /trunk/NEMOGCM/ARCH/arch-X64_MOBILIS.fcm	(revision 4864)
+++ /trunk/NEMOGCM/ARCH/arch-X64_MOBILIS.fcm	(revision 4865)
@@ -46,4 +46,5 @@
 %OASIS_LIB           
 
+%CPP	             cpp
 %FC                  mpif90 -c -cpp
 %FCFLAGS             -i4 -r8 -O3 -fp-model source -xAVX
Index: /trunk/NEMOGCM/ARCH/arch-X64_VAYU.fcm
===================================================================
--- /trunk/NEMOGCM/ARCH/arch-X64_VAYU.fcm	(revision 4864)
+++ /trunk/NEMOGCM/ARCH/arch-X64_VAYU.fcm	(revision 4865)
@@ -41,4 +41,5 @@
 %OASIS_LIB           -L%OASIS_HOME/lib -lpsmile.MPI1 -lmct -lmpeu -lscrip
 
+%CPP	             cpp
 %FC                  mpif90 -c -cpp
 %FCFLAGS             -i4 -r8
Index: /trunk/NEMOGCM/ARCH/arch-X64_YELLOWSTONE.fcm
===================================================================
--- /trunk/NEMOGCM/ARCH/arch-X64_YELLOWSTONE.fcm	(revision 4864)
+++ /trunk/NEMOGCM/ARCH/arch-X64_YELLOWSTONE.fcm	(revision 4865)
@@ -41,4 +41,5 @@
 %OASIS_LIB           -L%OASIS_HOME/lib -lpsmile.MPI1 -lmct -lmpeu -lscrip
 
+%CPP	             cpp
 %FC                  mpif90 -c -cpp
 %FCFLAGS            -i4 -r8 -O3 -fp-model precise -xAVX
Index: /trunk/NEMOGCM/ARCH/arch-XC_ARCHER.fcm
===================================================================
--- /trunk/NEMOGCM/ARCH/arch-XC_ARCHER.fcm	(revision 4864)
+++ /trunk/NEMOGCM/ARCH/arch-XC_ARCHER.fcm	(revision 4865)
@@ -41,4 +41,5 @@
 #OASIS_LIB           -L%OASIS_HOME/lib -lpsmile.MPI1 -lmct -lmpeu -lscrip
 
+%CPP	             cpp
 %FC                  ftn
 #FCFLAGS             -em -s integer32 -s real64 -O3
Index: /trunk/NEMOGCM/ARCH/arch-XC_ARCHER_INTEL.fcm
===================================================================
--- /trunk/NEMOGCM/ARCH/arch-XC_ARCHER_INTEL.fcm	(revision 4864)
+++ /trunk/NEMOGCM/ARCH/arch-XC_ARCHER_INTEL.fcm	(revision 4865)
@@ -41,4 +41,5 @@
 #OASIS_LIB           -L%OASIS_HOME/lib -lpsmile.MPI1 -lmct -lmpeu -lscrip
 
+%CPP	             cpp
 %FC                  ftn
 %FCFLAGS             -integer-size 32 -real-size 64 -O3 -fp-model source -zero -fpp -warn all
Index: /trunk/NEMOGCM/ARCH/arch-macport_osx.fcm
===================================================================
--- /trunk/NEMOGCM/ARCH/arch-macport_osx.fcm	(revision 4864)
+++ /trunk/NEMOGCM/ARCH/arch-macport_osx.fcm	(revision 4865)
@@ -50,4 +50,5 @@
 %OASIS_LIB           -L%OASIS_HOME/lib -lpsmile.MPI1 -lmct -lmpeu -lscrip
 
+%CPP	             cpp-mp-4.8
 %FC	             mpif90 
 %FCFLAGS             -fdefault-real-8 -O3 -funroll-all-loops -fcray-pointer 
Index: /trunk/NEMOGCM/ARCH/arch-openmpi_NAVITI_MERCATOR.fcm
===================================================================
--- /trunk/NEMOGCM/ARCH/arch-openmpi_NAVITI_MERCATOR.fcm	(revision 4864)
+++ /trunk/NEMOGCM/ARCH/arch-openmpi_NAVITI_MERCATOR.fcm	(revision 4865)
@@ -19,4 +19,5 @@
 %NCDF_LIB            -L$NETCDF_LIB -lnetcdff -lnetcdf -L$HDF5_LIB -lhdf5_hl -lhdf5 -lz
 
+%CPP	             cpp
 %FC                  mpif90
 %FCFLAGS             -O2 -fp-model precise  -traceback -r8  -convert big_endian -assume byterecl
Index: /trunk/NEMOGCM/ARCH/arch-x3750_ADA.fcm
===================================================================
--- /trunk/NEMOGCM/ARCH/arch-x3750_ADA.fcm	(revision 4864)
+++ /trunk/NEMOGCM/ARCH/arch-x3750_ADA.fcm	(revision 4865)
@@ -41,4 +41,5 @@
 %OASIS_LIB           -L%OASIS_HOME/lib -lpsmile.MPI1 -lmct -lmpeu -lscrip
 
+%CPP	             cpp
 %FC                  mpiifort -c -cpp
 %FCFLAGS             -DCPP_PARA -i4 -r8 -O3 -xAVX -fp-model precise
Index: /trunk/NEMOGCM/ARCH/arch-x3750_ADA_O0.fcm
===================================================================
--- /trunk/NEMOGCM/ARCH/arch-x3750_ADA_O0.fcm	(revision 4864)
+++ /trunk/NEMOGCM/ARCH/arch-x3750_ADA_O0.fcm	(revision 4865)
@@ -41,4 +41,5 @@
 %OASIS_LIB           -L%OASIS_HOME/lib -lpsmile.MPI1 -lmct -lmpeu -lscrip
 
+%CPP	             cpp
 %FC                  mpiifort -c -cpp
 %FCFLAGS             -DCPP_PARA -i4 -r8 -O0 -xAVX -fp-model precise
Index: /trunk/NEMOGCM/TOOLS/COMPILE/bld.cfg
===================================================================
--- /trunk/NEMOGCM/TOOLS/COMPILE/bld.cfg	(revision 4864)
+++ /trunk/NEMOGCM/TOOLS/COMPILE/bld.cfg	(revision 4865)
@@ -24,4 +24,6 @@
 
 
+bld::tool::cpp       %CPP
+bld::tool::fpp       %CPP
 bld::tool::fc        %FC 
 bld::tool::fflags    %FCFLAGS %USER_INC
Index: /trunk/NEMOGCM/TOOLS/COMPILE/bld_preproagr.cfg
===================================================================
--- /trunk/NEMOGCM/TOOLS/COMPILE/bld_preproagr.cfg	(revision 4864)
+++ /trunk/NEMOGCM/TOOLS/COMPILE/bld_preproagr.cfg	(revision 4865)
@@ -34,5 +34,6 @@
 bld::pp::nemo     1
 bld::pp::nemo/agrif2model     0
-bld::tool::fpp       cpp
+bld::tool::cpp       %CPP
+bld::tool::fpp       %CPP
 bld::tool::fppflags::nemo  %FPPFLAGS
 
Index: /trunk/NEMOGCM/TOOLS/COMPILE/bld_tools.cfg
===================================================================
--- /trunk/NEMOGCM/TOOLS/COMPILE/bld_tools.cfg	(revision 4864)
+++ /trunk/NEMOGCM/TOOLS/COMPILE/bld_tools.cfg	(revision 4865)
@@ -16,4 +16,6 @@
 dir::root            $NEMO_TDIR/$NEW_CONF/BLD
 
+bld::tool::cpp       %CPP
+bld::tool::fpp       %CPP
 bld::tool::fc        %FC 
 bld::tool::fflags    %FCFLAGS %USER_INC
Index: /trunk/NEMOGCM/TOOLS/COMPILE/bldxag.cfg
===================================================================
--- /trunk/NEMOGCM/TOOLS/COMPILE/bldxag.cfg	(revision 4864)
+++ /trunk/NEMOGCM/TOOLS/COMPILE/bldxag.cfg	(revision 4865)
@@ -23,4 +23,6 @@
 
 
+bld::tool::cpp       %CPP
+bld::tool::fpp       %CPP
 bld::tool::fc        %FC 
 bld::tool::fflags    %FCFLAGS %USER_INC